nvidia-graphics-drivers (555.42.02-1) unstable; urgency=low

  * Build for 555.42.02

 -- cudatools <cudatools@nvidia.com>  Wed, 15 May 2024 06:02:19 +0000

nvidia-graphics-drivers (525.116.04-1) unstable; urgency=medium

  * New upstream production branch release 525.116.04 (2023-05-09).
  * New upstream production branch release 525.116.03 (2023-04-25).
    - Fixed a regression in Luxmark performance between 525.89.02 and
      525.105.17.
    - Fixed a bug that could cause an unexpected
      VK_ERROR_NATIVE_WINDOW_IN_USE_KHR error in certain circumstances when
      recreating Vulkan surfaces.
    - Fixed a regression that caused brightness control to not vary
      smoothly across the range of values.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jun 2023 01:19:51 +0200

nvidia-graphics-drivers (525.105.17-2) unstable; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Jun 2023 16:21:51 +0200

nvidia-graphics-drivers (525.105.17-1) unstable; urgency=medium

  * New upstream production branch release 525.105.17 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033774)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    - Fixed a bug that could cause excessive GPU power consumption at idle
      when driving multiple displays with a high refresh rate.
    - Fixed a bug in nvidia-powerd which could cause excessive CPU usage.
    - Fixed an issue which could cause applications to run at 1 FPS when
      using an NVIDIA PRIME Display Offload sink as the only active display.
    - Added compatibility for Linux kernels with Indirect Branch Tracking
      (IBT).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Updated Turkish (tr) debconf translations by Atila KOÇ.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Apr 2023 10:33:15 +0200

nvidia-graphics-drivers (525.89.02-2) unstable; urgency=medium

  * Add libnvidia-nvvm.so.#VERSION# alternative, needed by nvidia-opencl-icd.
    (Closes: #1030336)
  * Prevent co-installation with EoL drivers.
  * Restrict watch file to releases from the 525.xx production branch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Mar 2023 14:44:12 +0100

nvidia-graphics-drivers (525.89.02-1) unstable; urgency=medium

  * The firmware-nvidia-gsp package has been moved to the newly created
    'non-free-firmware' archive area. This area needs to be enabled in
    /etc/apt/sources.list (/etc/apt/sources.list.d/*.list) in addition to
    'non-free' in order to upgrade to the 525 driver series.
    https://www.debian.org/releases/bookworm/amd64/release-notes/ch-information.en.html#non-free-split
    (Closes: #1030981)

  * New upstream production branch release 525.89.02 (2023-02-08).
    - Fixed a bug that could cause banding or flickering of color
      gradients on DisplayPort monitors.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Fix nvngx.dll install location.  (Closes: #1031185)
  * nvidia-opencl-icd: Add dependency on libnvidia-nvvm4.  (Closes: #1031080)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Feb 2023 01:27:21 +0100

nvidia-graphics-drivers (525.85.12-1) unstable; urgency=medium

  * New upstream production branch release 525.85.12 (2023-01-30).
  * New upstream production branch release 525.85.05 (2023-01-19).
    - Improved the reliability of suspend and resume on UEFI systems
      when using certain display panels.
    - Fixed a bug that could cause VK_ERROR_DEVICE_LOST when using
      VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT to allocate
      memory.
  * New upstream production branch release 525.78.01 (2023-01-05).
    - Fixed a regression that prevented the G-SYNC/G-SYNC Compatible Visual
      Indicator from being displayed when running Vulkan X11 applications.
    - Fixed a bug where usage of VK_KHR_present_id could cause applications to
      crash with Xid 32 errors.
    - Fixed excess CPU usage in hybrid graphics configurations where an
      external display is connected to an NVIDIA discrete GPU and configured
      as a PRIME Display Offload sink (also known as "Reverse Prime").
  * New upstream release 470 series.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible with FRL.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.  (Closes: #1028496)
  * libcuda1: Add Provides: libcuda-12.0-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 10:30:00 +0100

nvidia-graphics-drivers (525.60.13-1) experimental; urgency=medium

  * New upstream production branch release 525.60.13 (2022-12-05).
  * New upstream production branch release 525.60.11 (2022-11-28).
    (Closes: #1025883)
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Improved the performance of PRIME render-offloaded applications.
    - Fixed a bug which caused suspend to fail on systems running GNOME 3
      as a Wayland compositor with NVreg_PreserveVideoMemoryAllocations
      enabled.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Feb 2023 14:07:07 +0100

nvidia-graphics-drivers (525.53-1) experimental; urgency=medium

  * New upstream beta 525.53 (2022-11-10).
    - Fixed a bug which caused Dynamic Boost to not engage on certain Ampere
      GPU based notebooks.
    - Added support for Dynamic Boost on notebooks with AMD CPUs.
    - Fixed a regression that prevented Warp & Blend from working correctly.
    - Fixed a bug that resulted in stutter when moving windows in GNOME.
    - Added support for the EGL_MESA_platform_surfaceless extension.
    - Updated the open kernel modules to support Quadro Sync, Stereo,
      rotation in X11, and YUV 4:2:0 on Turing.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update symbols files.
  * libnvidia-api1: New package for the NVIDIA API runtime library.
  * firmware-nvidia-gsp: Move non-free-firmware archive area.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Feb 2023 01:13:56 +0100

nvidia-graphics-drivers (520.56.06-2) unstable; urgency=medium

  * libcuda1: Add Provides: libcuda-11.8-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 10:51:07 +0100

nvidia-graphics-drivers (520.56.06-1) experimental; urgency=medium

  * New upstream new feature branch release 520.56.06 (2022-10-12).
    - Implemented support for over-the-air updates in the Proton and Wine
      NVIDIA NGX build. This feature is disabled by default and can be enabled
      by setting the "PROTON_ENABLE_NGX_UPDATER" environment variable to a
      value of "1".
    - Updated the Vulkan driver so that the following extensions no longer
      depend on nvidia-uvm.ko being loaded at runtime:
      VK_KHR_acceleration_structure, VK_KHR_deferred_host_operations,
      VK_KHR_ray_query, VK_KHR_ray_tracing_pipeline, VK_NV_cuda_kernel_launch,
      VK_NV_ray_tracing, VK_NV_ray_tracing_motion_blur, VK_NVX_binary_import,
      VK_NVX_image_view_handle.
    - Fixed a bug in the Vulkan driver which could lead to corruption in
      geometry and tessellation control shaders.
    - Added a new CUDA Debugger implementation for Pascal and newer
      architectures as a part of the driver package: libcudadebugger.so
      (previously released separately as "CUDA GDB Developer Preview").

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Update symbols files.
  * libcudadebugger1: New package for the CUDA Debugger library.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 02:34:45 +0100

nvidia-graphics-drivers (515.105.01-1) UNRELEASED; urgency=medium

  * New upstream production branch release 515.105.01 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    * Improved compatibility with recent Linux kernels.
  * New upstream release 470 series.
    - Fixed a bug that could cause fullscreen PRIME Render Offload
      applications and/or X to crash when an NVIDIA GPU is driving
      multiple displays with Reverse PRIME.
    - Added support for console restoration when using simpledrm.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible with FRL.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.
  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Apr 2023 01:30:05 +0200

nvidia-graphics-drivers (515.86.01-1) unstable; urgency=medium

  * New upstream production branch release 515.86.01 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a regression in 515.76 that caused blank screens and hangs when
      starting an X server on RTX 30 series GPUs in some configurations where
      the boot display is connected via HDMI.
    - Fixed a bug where Marvel's Spider-Man Remastered would sometimes crash
      with Xid 13 errors on Turing and later.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Jan 2023 12:00:08 +0100

nvidia-graphics-drivers (515.76-1) experimental; urgency=medium

  * New upstream production branch release 515.76 (2022-09-20).
    (Closes: #1022165)
    - Turing and later: fixed possible excessive GPU power draw on an idle
      X11 or Wayland desktop when driving high resolutions or refresh rates.
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla release (amd64 only) 515.65.07 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Jan 2023 10:55:31 +0100

nvidia-graphics-drivers (515.65.01-1) experimental; urgency=medium

  * New upstream production branch release 515.65.01 (2022-08-02).
    - Fixed a bug that caused the X server to hang when VT-switching with
      stereo enabled.
    - Fixed an issue that caused OpenGL applications to be unresponsive in SLI
      Mosaic mode with no monitors enabled on the primary GPU.
    * Improved compatibility with recent Linux kernels.
  * New upstream production branch release 515.57 (2022-06-28).
    - Fixed a bug that could cause some graphics applications to crash when
      they are started while nvidia-drm.ko is not loaded.
    - Fixed an issue where NvFBC could return an incorrect frame if a capture
      request timed out.
    - Fixed an issue where NvFBC direct capture would wait for multiple queued
      frames to finish rendering, instead of returning the next rendered
      frame.
    - Added support for NvFBC direct capture to composite the mouse cursor
      onto frames.
    - Fixed an issue where Vulkan direct to display could not drive more than
      4 displays from a single VkInstance.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Apply kernel module patches at package build time.
  * Add versioned Provides: nvidia-kernel-dkms-any.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2023 15:28:09 +0100

nvidia-graphics-drivers (515.48.07-3) experimental; urgency=medium

  * Merge changes from 510.108.03-3.
  * Extract nv-readme-open.ids from README.
  * nvidia-detect: Report GPUs that can be used with the open kernel module.
  * Allow nvidia-open-kernel-dkms as alternative to nvidia-kernel-dkms.
  * nvidia-alternative: Register another alternative if
    nvidia-open-kernel-dkms is available.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jan 2023 02:46:43 +0100

nvidia-graphics-drivers (515.48.07-2) experimental; urgency=medium

  * Merge changes from 510.108.03-1.
  * Backport find_vma_intersection from 515.57 and num_registered_fb changes
    from 515.76 to fix kernel module build for Linux 6.1.
  * libcuda1: Add Provides: libcuda-11.7-1{,-i386}.
  * Put the kernel module patches under Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Dec 2022 02:10:26 +0100

nvidia-graphics-drivers (515.48.07-1) experimental; urgency=medium

  * New upstream production branch release 515.48.07 (2022-05-31).
    (Closes: #1012815)
    - Improved performance of GLX and Vulkan applications running in
      gamescope.
    - Added a "kernelopen" feature tag to the supported-gpus.json file,
      to indicate which GPUs are compatible with open-gpu-kernel-modules.
    - Improved Vulkan swapchain creation failure reporting. Applications can
      use the VK_EXT_debug_utils extension to receive additional information
      when an error was encountered in vkCreateSwapchainKHR().
  * New upstream beta 515.43.04 (2022-05-11).
    - Published the source code to a variant of the NVIDIA Linux kernel
      modules dual-licensed as MIT/GPLv2. The source is available here:
          https://github.com/NVIDIA/open-gpu-kernel-modules
      and will be updated each driver release. Please see the "Open
      Linux Kernel Modules" chapter in the README for details.
    - Added support for the VK_EXT_external_memory_dma_buf and
      VK_EXT_image_drm_format_modifier Vulkan extensions. To use this
      functionality, the nvidia-drm kernel module must be loaded with DRM KMS
      mode setting enabled. See the DRM KMS section of the README for guidance
      on enabling mode setting.
    - Changed nvidia-suspend.service, nvidia-resume.service, and
      nvidia-hibernate.service to use WantedBy= rather than RequiredBy=
      dependencies for systemd-suspend.service and systemd-hibernate.service.
      This avoids a problem where suspend or hibernate fails if the NVIDIA
      driver is uninstalled without disabling these services first.
      See https://github.com/systemd/systemd/issues/21991
      If these services were manually enabled, it may be necessary to update
      their dependencies by running
        sudo systemctl reenable nvidia-suspend.service \
          nvidia-resume.service nvidia-hibernate.service
    - Interlaced modes are now disabled when active stereo is enabled.
    - Removed the warning message about mismatches between the compiler
      used to build the Linux kernel and the compiler used to build the
      NVIDIA kernel modules from nvidia-installer. Modern compilers are less
      likely to cause problems when this type of mismatch occurs, and it has
      become common in many distributions to build the Linux kernel with a
      different compiler than the default system compiler.
    - Updated the RTD3 Video Memory Utilization Threshold
      (NVreg_DynamicPowerManagementVideoMemoryThreshold) maximum value from
      200 MB to 1024 MB.

  [ Andreas Beckmann ]
  * Bump minimum supported kernel version to 3.10.
  * Backport get_task_ioprio changes from 510.85.02, acpi changes from
    515.65.01, drm_frambuffer.h changes from 515.76 to fix kernel module build
    for Linux 6.0.
  * Refresh patches.
  * Update symbols files.
  * Update lintian overrides.
  * Restrict watch file to releases from the 515.xx production branch.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Nov 2022 18:49:54 +0100

nvidia-graphics-drivers (510.108.03-4) UNRELEASED; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.
  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.
  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * Fix nvngx.dll install location (525.89.02-1).  (Closes: #1031185)
  * Updated Turkish (tr) debconf translations by Atila KOÇ.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Jun 2023 18:44:17 +0200

nvidia-graphics-drivers (510.108.03-3) unstable; urgency=medium

  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.  (Closes: #1027790)
  * Drop support for building modules for non-native kernel architectures.
  * nvidia-alternative: Access kmod config files over a versioned symlink.
  * New Brazilian Portuguese (pt_BR) debconf translations by Paulo Henrique de
    Lima Santana.  (Closes: #1028259)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2023 22:20:56 +0100

nvidia-graphics-drivers (510.108.03-2) unstable; urgency=medium

  * nvidia-detect: Drop support for stretch(-lts) (EoL).
  * nvidia-detect: Add support for Tesla drivers.
  * nvidia-detect: Restrict support to driver series in bookworm.
  * Stop building the nvidia-nonglvnd-vulkan-common package, will be built
    from src:nvidia-graphics-drivers-tesla-418.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Jan 2023 11:11:15 +0100

nvidia-graphics-drivers (510.108.03-1) unstable; urgency=medium

  * New upstream production branch release 510.108.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-34684,
      CVE-2022-42254, CVE-2022-42255, CVE-2022-42256, CVE-2022-42257,
      CVE-2022-42258, CVE-2022-42259, CVE-2022-42260, CVE-2022-42261,
      CVE-2022-42262, CVE-2022-42263, CVE-2022-42264.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends.
  * Try to compile a kernel module at package build time.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 03:43:21 +0100

nvidia-graphics-drivers (510.85.02-6) unstable; urgency=medium

  * Split firmware-nvidia-gsp from nvidia-kernel-support.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Oct 2022 10:29:39 +0200

nvidia-graphics-drivers (510.85.02-5) unstable; urgency=medium

  * Restrict nvidia-legacy-check dependency to driver architectures.
  * Backport nv-acpi.c changes from 515.65.01 and drm_frambuffer.h changes
    from 515.76 to fix kernel module build for Linux 6.0.  (Closes: #1021958)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Oct 2022 15:40:28 +0200

nvidia-graphics-drivers (510.85.02-4) unstable; urgency=medium

  * Set BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT" for
    module-assistant-autopkgtest, too.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 14:12:42 +0200

nvidia-graphics-drivers (510.85.02-3) unstable; urgency=medium

  * Upload to unstable.  (Closes: #1020761)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 13:23:32 +0200

nvidia-graphics-drivers (510.85.02-2) experimental; urgency=medium

  * Merge changes from 470.141.03-2.
  * Switch to module-assistant-autopkgtest.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Sep 2022 18:31:11 +0200

nvidia-graphics-drivers (510.85.02-1) experimental; urgency=medium

  * New upstream production branch release 510.85.02 (2022-08-02).
    (Closes: #1012713, #1016614)
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Merge changes from 470.141.03-1.
  * Refresh patches.
  * Update nv-readme.ids.
  * Restrict watch file to releases from the 510.xx production branch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Aug 2022 23:44:14 +0200

nvidia-graphics-drivers (510.73.08-3) experimental; urgency=medium

  * Merge changes from 470.129.06-5.
  * Try new dkms feature BUILD_EXCLUSIVE_CONFIG.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Jun 2022 18:35:59 +0200

nvidia-graphics-drivers (510.73.08-2) experimental; urgency=medium

  * Add nvidia-drm_gbm.so symlink.  (Closes: #1012514)
  * nvidia-driver-libs: Recommend libnvidia-allocator1.
  * libnvidia-allocator1: Recommend libnvidia-egl-gbm1.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jun 2022 00:43:27 +0200

nvidia-graphics-drivers (510.73.08-1) experimental; urgency=medium

  * New upstream Tesla release 510.73.08 (2022-05-23).
  * New upstream production branch release 510.73.05 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28183, CVE-2022-28184, CVE-2022-28185,
      CVE-2022-28191, CVE-2022-28192.  (Closes: #1011140)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353
    - Added a new configuration option for NVIDIA NGX to allow disabling the
      DSO signature check. See the "NGX" chapter of the README for more
      information.
  * New upstream production branch release 510.68.02 (2022-04-26).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 22:32:57 +0200

nvidia-graphics-drivers (510.60.02-1) experimental; urgency=medium

  * New upstream production branch release 510.60.02 (2022-03-22).
    - Added support for the following GPUs: NVIDIA RTX A4000H,
      NVIDIA RTX A5500.
    - Fixed a bug that could cause displays with HDMI or DisplayPort audio
      to be deselected as the default audio output device after resuming
      from suspend.
    - Fixed a regression that could cause OpenGL applications to hang or
      render incorrectly after suspend/resume cycles or VT-switches
    - Fixed a bug, introduced in 495.29.05, that caused GPU "Model:" in
      /proc/driver/nvidia/gpus/<Bus:Device.Function>/information to be
      "Unknown" for some GPUs.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Refresh use-kbuild-flags.patch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Mar 2022 22:13:19 +0100

nvidia-graphics-drivers (510.54-1) experimental; urgency=medium

  * New upstream production branch release 510.54 (2022-02-14).
    - Fixed a bug that could cause GPU exceptions when minimizing a fullscreen
      Vulkan application on certain desktops, such as Plasma.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream.
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Disable building nvidia-cuda-mps, will be built from
    src:nvidia-graphics-drivers-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Mar 2022 12:00:52 +0100

nvidia-graphics-drivers (510.47.03-1) experimental; urgency=medium

  * New upstream production branch release 510.47.03 (2022-02-01).
    * Fixed CVE-2022-21813, CVE-2022-21814.  (Closes: #1004847)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5312
    - Added support for Vulkan 1.3.
  * New upstream beta 510.39.01 (2022-01-11).
    - Added a new daemon, nvidia-powerd, to provide support for the Dynamic
      Boost feature on supported systems. Dynamic Boost balances power between
      the CPU and the GPU for improved performance. For more details, see the
      "Dynamic Boost on Linux" chapter in the README.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      nvidia-powerd logs.
    - Fixed several issues which caused the supported-gpus.json file to
      contain incorrect product information.
    - Added a new module parameter, "peerdirect_support", to the
      nvidia-peermem.ko kernel module, to correctly support GPUDirect RDMA on
      MOFED 5.0 and older releases.
    - Fixed a bug which caused Vulkan applications to hang when the
      __GL_THREADED_OPTIMIZATIONS environment variable was set to enable
      threaded optimizations in the NVIDIA driver.
    - Fixed a bug where calls to vkWaitForPresentKHR would fail with
      VK_TIMEOUT on Maxwell and Pascal GPUs.
    - Added support for the VK_EXT_depth_clip_control extension.
    - Added support for the VK_EXT_border_color_swizzle extension.
    - Added support for the VK_EXT_image_view_min_lod extension.
    - Fixed a bug in the Vulkan compiler where 64-bit atomics were partially
      broken.
    - Fixed a bug in the Vulkan driver where VK_NULL_HANDLE was not properly
      handled as input to
      VkRenderingFragmentShadingRateAttachmentInfoKHR.imageView.
    - Added support for the VK_KHR_dynamic_rendering extension.
    - Added support for the bufferDeviceAddressCaptureReplay Vulkan feature.
    - Optimized the Vulkan fullscreen presentation path for X11 and
      direct-to-display swapchains.
    - Added AV1 decode support to the NVIDIA VDPAU driver. See the
      VDPAU Support appendix in the README for supported AV1 decoder
      profiles.
    - Added support for the VK_KHR_format_feature_flags2 extension.
    - Added support for the VK_KHR_maintenance4 extension.
    - Fixed a bug in the Vulkan driver where the SPIR-V Centroid interpolation
      decoration was not ignored when used in conjunction with FragCoord.
    - Fixed a bug in the Vulkan driver where unreferenced descriptor bindings
      were sometimes not ignored properly.
    - Fixed a bug in the Vulkan driver where vkCmdBindDescriptorSets would not
      properly handle pDynamicOffsets for compute pipelines.
    - Added support for the VK_KHR_shader_integer_dot_product extension.
    - Added support for the VK_EXT_primitive_topology_list_restart extension.
    - Added support for the VK_EXT_load_store_op_none extension.
    - Fixed a bug which caused OpenGL and Vulkan applications to generate
      excessive traffic over dbus while attempting to communicate with
      nvidia-powerd, even though nvidia-powerd was not running.
    - Enabled GSP Firmware by default on NVIDIA T4, A100, A30, A40, A16, A2,
      and several other Tesla products.  Please see the "GSP Firmware"
      chapter in the README for details.
  * New upstream release 495 series.
    - Fixed a bug in the Vulkan driver where some Ray Tracing shaders would
      timeout, resulting in device loss.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Update symbols files.
  * libcuda1: Add Provides: libcuda-11.6-1{,-i386}.
  * nvidia-detect: Add support for Tesla 510 drivers.
  * Prepare nvidia-powerd: New package for the NVIDIA Dynamic Boost daemon.
  * Do not ship libnvidia-compiler-next.so.*.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 07 Feb 2022 11:45:15 +0100

nvidia-graphics-drivers (495.46-1) experimental; urgency=medium

  * New upstream new feature branch release 495.46 (2021-12-13).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Jan 2022 22:50:22 +0100

nvidia-graphics-drivers (495.44-1) experimental; urgency=medium

  * New upstream new feature branch release 495.44 (2021-10-26).
    - Fixed a bug in the Vulkan driver where unused input attributes to a
      vertex shader would corrupt the interpolation qualifiers for the shader.
    - Fixed a bug in the Vulkan driver where individual components of
      barycentric inputs could not be read.
    - Added support for the VK_KHR_present_id extension.
    - Added support for the VK_KHR_present_wait extension.
    - Added support for the VK_KHR_shader_subgroup_uniform_control_flow
      extension.
    - Fixed a bug where VK_NVX_binary_import was advertised as supported on
      unsupported platforms. This caused calls to vkCreateDevice to fail if
      applications attempted to enable VK_NVX_binary_import on such platforms.
  * New upstream beta 495.29.05 (2021-10-14).
    - Added support for the GBM API. This adds the new symlink
      nvidia-drm_gbm.so pointing to the file libnvidia-allocator.so.VERSION to
      implement a GBM backend driver usable with the GBM loader from the Mesa
      project version 21.2 and above, as well as the files
      libnvidia-egl-gbm.so.1.1.0 and 15_nvidia_gbm.json, which implement EGL
      support for the GBM platform (EGL_KHR_platform_gbm).
    - Add indicator for Resizable BAR support on compatible systems.
    - Fixed a bug that could cause the X server to crash when starting a
      new server generation on PRIME configurations.
    - Removed support for NvIFROpenGL. This functionality was deprecated
      in the 470.xx driver release.
    - Removed libnvidia-cbl.so from the driver package.  This
      functionality is now provided by other driver libraries.
    - Changed the minimum required Linux kernel version from 2.6.32 to 3.10.
    - Updated nvidia.ko to load even if no supported NVIDIA GPUs are present
      when an NVIDIA NVSwitch device is detected in the system. Previously,
      nvidia.ko would fail to load into the kernel if no supported GPUs were
      present.
    * Removed support for cards based on the Kepler architecture.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Drop libnvidia-ifr1 package, removed upstream.
  * Drop libnvidia-cbl package, removed upstream.
  * Update symbols files.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-11.5-1{,-i386}.
  * Ship the gsp.bin firmware blob on arm64.
  * Add NEWS entry and update nvidia-legacy-check to suggest using
    nvidia-tesla-470-driver for Kepler cards.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 10:45:12 +0100

nvidia-graphics-drivers (470.182.03-2) UNRELEASED; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.
  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Jun 2023 14:02:19 +0200

nvidia-graphics-drivers (470.182.03-1) bullseye; urgency=medium

  * New upstream production branch release 470.182.03 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0185,
      CVE-2023-0187, CVE-2023-0198, CVE-2023-0199, CVE-2023-0188,
      CVE-2023-0190, CVE-2023-0194, CVE-2023-0195, CVE-2023-0191.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
      (Closes: #1033774)
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * nvidia-detect: Drop support for stretch(-lts) (EoL).
  * Drop support for building modules for non-native kernel architectures.
  * nvidia-alternative: Access kmod config files over a versioned
    symlink (510.108.03-3).
  * Add versioned Provides: nvidia-kernel-dkms-any (515.65.01-1).
  * Fix nvngx.dll install location (525.89.02-1).  (Closes: #1031185)
  * New Brazilian Portuguese (pt_BR) debconf translations by Paulo Henrique de
    Lima Santana.
  * Updated Turkish (tr) debconf translations by Atila KOÇ.
  * Bump Standards-Version to 4.6.2. No changes needed.
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Apr 2023 17:05:48 +0200

nvidia-graphics-drivers (470.161.03-2) UNRELEASED; urgency=medium

  * Backport acpi_op_remove changes from 470.182.03 to fix kernel module build
    for Linux 6.2.
  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Feb 2023 01:58:15 +0100

nvidia-graphics-drivers (470.161.03-1) bullseye; urgency=medium

  * New upstream production branch release 470.161.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-42254,
      CVE-2022-42255, CVE-2022-42256, CVE-2022-42257, CVE-2022-42258,
      CVE-2022-42259, CVE-2022-42260, CVE-2022-42261, CVE-2022-42262,
      CVE-2022-42263, CVE-2022-42264.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a bug that caused the Xorg server to crash if an NvFBC capture
      session is started while video memory is full.
    * Improved compatibility with recent Linux kernels.  (Closes: #1024852)
  * New upstream Tesla release (amd64 only) 470.141.10 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends (510.108.03-1).
  * Try to compile a kernel module at package build time (510.108.03-1).
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 00:52:57 +0100

nvidia-graphics-drivers (470.141.03-3) UNRELEASED; urgency=medium

  * Backport get_task_ioprio changes from 510.85.02, acpi changes from
    510.85.02 and 515.65.01, drm_frambuffer.h changes from 515.76 to fix
    kernel module build for Linux 6.0.  (Closes: #1021974, #1022738)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Oct 2022 18:00:40 +0200

nvidia-graphics-drivers (470.141.03-2) unstable; urgency=medium

  * Add support for unversioned Tesla packages (tesla 510.85.02-1).
    (Closes: #1020697)
  * Switch *-source to a modern module-assistant based template.
  * Drop support for kernel-package and make-kpkg, gone since stretch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Sep 2022 14:18:14 +0200

nvidia-graphics-drivers (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 10:57:14 +0200

nvidia-graphics-drivers (470.141.03-1) unstable; urgency=medium

  * New upstream production branch release 470.141.03 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615. (Closes: #1016614)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    - Added support for the following GPU: GeForce RTX 3050 OEM.
    - Fixed an issue where HDMI audio output was not working in some cases,
      especially with high display refresh rates (120Hz, 100Hz, etc.) using
      Fixed Rate Link (FRL) transmission mode.
    * Improved compatibility with recent Linux kernels.  (Closes: #1016736)

  [ Andreas Beckmann ]
  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Refresh patches.
  * Update nv-readme.ids.
  * More generic handling of architectures with gsp firmware.
  * Drop references to kernel-package and make-kpkg, gone since stretch.
  * Overhaul build-module-packages.sh.
  * Add module-assistant based autopkgtest for the *-source package.
  * Simplify changelog management for the *-source package.
  * Copy the Source stanza from d/control to the module control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Aug 2022 14:52:56 +0200

nvidia-graphics-drivers (470.129.06-6~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 13:17:34 +0200

nvidia-graphics-drivers (470.129.06-6) unstable; urgency=medium

  * Minor packaging sync and cleanup.
  * Disable building nvidia-cuda-mps, will be built from
    src:nvidia-graphics-drivers-tesla.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 09:45:39 +0200

nvidia-graphics-drivers (470.129.06-5) unstable; urgency=medium

  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jun 2022 23:11:19 +0200

nvidia-graphics-drivers (470.129.06-4) unstable; urgency=medium

  * Use different virtual packages for firmware file Conflicts and Depends.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jun 2022 00:03:45 +0200

nvidia-graphics-drivers (470.129.06-3) unstable; urgency=medium

  * Do not create backups when patching README.txt.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 May 2022 13:27:23 +0200

nvidia-graphics-drivers (470.129.06-2) unstable; urgency=medium

  * Fix discrepancy between amd64 and i386 README.txt.  (Closes: #1011527)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 18:43:07 +0200

nvidia-graphics-drivers (470.129.06-1) unstable; urgency=medium

  * New upstream production branch release 470.129.06 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28183, CVE-2022-28184, CVE-2022-28185,
      CVE-2022-28191, CVE-2022-28192.  (Closes: #1011140)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353
    - Added support for the following GPUs: GeForce RTX 3050,
      GeForce RTX 3070 Ti Laptop GPU, GeForce RTX 3080 Ti Laptop GPU,
      GeForce RTX 3090 Ti, RTX A500 Laptop GPU, RTX A1000 Embedded GPU,
      RTX A2000 Embedded GPU, RTX A1000 Laptop GPU, RTX A2000 8GB Laptop GPU,
      RTX A3000 12GB Laptop GPU, RTX A4500 Embedded GPU, RTX A4500 Laptop GPU,
      RTX A5500 Laptop GPU, T550 Laptop GPU.  (Closes: #1011183)
    - Fixed an issue where NvFBC was requesting Vulkan 1.0 while using
      Vulkan 1.1 core features. This caused NvFBC to fail to initialize with
      Vulkan loader versions 1.3.204 or newer.
    * Improved compatibility with recent Linux kernels.  (Closes: #1013359)

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Import missing legacy IDs from the 510.* README.txt.
    The Kepler notebook GPUs seem still supported by the 470.* driver.
    (Closes: #1011245, #939447, #939067)
  * Bump Standards-Version to 4.6.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 02:51:40 +0200

nvidia-graphics-drivers (470.103.01-4) unstable; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 May 2022 14:21:14 +0200

nvidia-graphics-drivers (470.103.01-3~deb11u2) bullseye; urgency=medium

  * Re-enable building libnvidia-nvvm4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Mar 2022 13:38:53 +0100

nvidia-graphics-drivers (470.103.01-3~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.
  * Temporarily disable building libnvidia-nvvm4 to avoid NEW.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 21:38:19 +0100

nvidia-graphics-drivers (470.103.01-3) unstable; urgency=medium

  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).
  * nvidia-detect: Drop support for Tesla 460 drivers (EoL).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Mar 2022 10:27:06 +0100

nvidia-graphics-drivers (470.103.01-2) unstable; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
    (Closes: #1005311)
  * nvidia-detect: Add support for (Tesla) 470 drivers in bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Feb 2022 23:20:24 +0100

nvidia-graphics-drivers (470.103.01-1) unstable; urgency=medium

  * New upstream production branch release 470.103.01 (2022-01-31).
    * Fixed CVE-2022-21813, CVE-2022-21814.  (Closes: #1004847)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5312
    - Added an application profile to avoid an image corruption issue in
      Blender, as described at https://developer.blender.org/T76874
    - Added support for the following GPUs: NVIDIA GeForce MX550,
      NVIDIA GeForce MX570, NVIDIA GeForce RTX 2050.
    - Fixed a bug that could lead to a kernel panic, due to a failure to
      release a spinlock under some conditions.
    - Fixed a race condition which could lead to crashes when Xid errors
      occur concurrently on multiple GPUs.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Feb 2022 22:27:11 +0100

nvidia-graphics-drivers (470.94-1) unstable; urgency=medium

  * New upstream production branch release 470.94 (2021-12-13).
    - Added support for the following GPU: NVIDIA PG509-210.
    - Worked around an issue that prevented some games from flipping (and
      therefore taking advantage of G-SYNC and G-SYNC Compatible monitors) on
      certain desktops such as GNOME.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Jan 2022 04:08:50 +0100

nvidia-graphics-drivers (470.86-1) unstable; urgency=medium

  * New upstream production branch release 470.86 (2021-11-10).
    - Added support for the following GPUs: RTX A2000 12GB, RTX A4500,
      T400 4GB, T1000 8GB.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * nvidia-kernel-support: Provide /etc/modprobe.d/nvidia-options.conf as a
    template taking into account the module renaming. This is a slave
    alternative of the nvidia alternative.  (Closes: #999670)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Nov 2021 15:05:47 +0100

nvidia-graphics-drivers (470.82.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 470.82.01 (2021-11-02).
    - Fixed a regression which prevented DisplayPort and HDMI 2.1 variable
      refresh rate (VRR) G-SYNC Compatible monitors from functioning correctly
      in variable refresh rate mode, resulting in issues such as flickering.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 16:52:53 +0100

nvidia-graphics-drivers (470.82.00-1) unstable; urgency=medium

  * New upstream production branch release 470.82.00 (2021-10-26).
    - Added support for the following GPUs: Matrox D-Series D2450,
      Matrox D-Series D2480, NVIDIA A2.
    - Fixed a bug that can cause a kernel crash in SLI Mosaic configurations.
    - Added support for the EGL_NV_robustness_video_memory_purge extension
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * bug-script: Show the nvidia and glx alternatives.
  * nvidia-alternative: libnvidia-cfg.so.1 on its own is not
    sufficient to activate a nvidia alternative.
    (Closes: #996595)
  * Fix bashisms in upstream scripts.
  * Drop the unusable leftover non-GLVND libegl1-nvidia package.
    (Closes: #996763)
  * nvidia-alternative: Drop unused non-GLVND slave links.
  * Restrict watch file to releases from the 470.xx production branch.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 09:18:55 +0100

nvidia-graphics-drivers (470.74-1) unstable; urgency=medium

  * New upstream production branch release 470.74 (2021-09-20).
    - Fixed a bug that could cause GPU applications to exit when resuming
      from suspend.
    - Fixed a regression which resulted in very-high system memory usage for
      Direct3D 12 games when run through vkd3d-proton.
    (Closes: #994942, #995271, #996031, #996164, #996468)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Oct 2021 09:11:35 +0200

nvidia-graphics-drivers (470.63.01-1) unstable; urgency=medium

  * New upstream production branch release 470.63.01 (2021-08-10).
    - Added an application profile to disable FXAA for Firefox to prevent
      visual corruption.
    - Added support for the VK_KHR_wayland_surface extension.
    - Fixed a Vulkan performance regression that affected rFactor2.
    (Closes: #994633)

  [ Andreas Beckmann ]
  * libegl-nvidia0: Ship new library libnvidia-vulkan-producer.so.#VERSION#
    but do not provide alternatives since it is unclear how this undocumented
    SONAME-less library is supposed to be used.
  * Add Build-Depends: libnvidia-egl-wayland1.
  * nvidia-kernel-support: Restore nvidia-modprobe.conf which might have gone
    missing due to bugs in debhelper (#994919) and dpkg (#995387).
    (Closes: #994971)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Sep 2021 18:55:41 +0200

nvidia-graphics-drivers (470.57.02-3) unstable; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.  (Closes: #994860)
  * Generate tight dependencies on libnvidia*-glcore/libnvidia*-eglcore.
    (Closes: #992057)
  * Bump Standards-Version to 4.6.0. No changes needed.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Sep 2021 10:56:55 +0200

nvidia-graphics-drivers (470.57.02-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Aug 2021 13:23:11 +0200

nvidia-graphics-drivers (470.57.02-1) experimental; urgency=medium

  * New upstream production branch release 470.57.02 (2021-07-19).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.  (Closes: #991351)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211
    - Fixed a bug that could cause flickering in Blender and Steam when
      running on Xwayland.
    - Fixed a bug that caused GTK+3 applications using the GtkGLArea class
      to crash when running on Xwayland.
    - Added a workaround for DOOM Eternal, which avoids an application bug
      where Vulkan swapchain recreation events are not properly handled. On
      desktops like GNOME where the window is initially redirected to the
      compositor, this may prevent the game from flipping (and thus enabling
      G-SYNC).
    - Added a workaround for Far Cry 5 when run through DXVK, which avoids a
      shader race condition bug that was previously exposed by new compiler
      optimizations.
    - Added support for the following GPUs: NVIDIA A100 80GB PCIe, NVIDIA A16,
      NVIDIA PG506-243, NVIDIA PG506-242, NVIDIA CMP 90HX, NVIDIA CMP 70HX,
      NVIDIA RTX A2000, NVIDIA T4G.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Refresh patches.
  * libcuda1: Add Provides: libcuda-11.4-1{,-i386}.
  * nvidia-detect: Add support for Tesla 470 drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Jul 2021 15:37:56 +0200

nvidia-graphics-drivers (470.42.01-1) experimental; urgency=medium

  * New upstream beta 470.42.01 (2021-06-22).
    - Added support for the following GPUs: A100-PG506-207, A100-PG506-217.
    - Increased the maximum limit on concurrent OpenGL contexts. This
      limit was previously constrained by a fixed-size internal driver
      resource, and is now constrained by available system memory.
    - Applications that exceed the maximum limit on concurrent OpenGL
      contexts will now receive a BadAlloc X error rather than crashing.
    - Fixed a bug that could cause the X server to crash upon shutdown
      with some configurations using GPU screens.
    - Fixed a bug that could cause rendering errors when displaying scaled
      MetaModes using the "Nearest" resampling method.
    - Fixed a bug that could cause OpenGL applications run in PID namespaces
      to hang upon exit, generating warnings such as the following in the X
      log: (WW) NVIDIA: Wait for channel idle timed out.
    - Added support for PRIME Display Offload where both the display offload
      source and display offload sink are driven by the NVIDIA X Driver.
    - Added support for PRIME Display Offload where the display offload source
      is AMDGPU.
    - Fixed a bug that could prevent the driver from applying application
      profiles when running applications through Proton or Wine on a PRIME
      Render Offload configuration.
    - Fixed a bug that could cause NvFBC's "direct capture" to crash the X
      server when certain GLX calls are made during a capture.
    - Added an NVIDIA NGX build for use with Proton and Wine. A new library,
      nvngx.dll, has been added to enable driver-side support for running
      Windows applications which make use of DLSS. Changes to Proton, Wine,
      and other third-party software are needed for this feature.
    - Added support for VK_QUEUE_GLOBAL_PRIORITY_REALTIME_EXT from the
      VK_EXT_global_priority extension. This enables support for asynchronous
      reprojection in SteamVR.
      VK_QUEUE_GLOBAL_PRIORITY_REALTIME_EXT is supported on Pascal GPUs and
      newer.
      Global priorities other than VK_QUEUE_GLOBAL_PRIORITY_MEDIUM_EXT require
      root privileges or the CAP_SYS_NICE capability.
    - Added support for the VK_EXT_global_priority_query extension.
    - Added the nvidia-peermem.ko kernel module. This module provides
      Mellanox InfiniBand HCAs (Host Channel Adapters) direct peer-to-peer
      access to NVIDIA GPU memory without need without needing to copy data
      to host memory.
      See the chapter "GPUDirect RDMA Peer Memory Client" in the README
      for details.
    - Added support for the VK_EXT_provoking_vertex extension.
    - Initial support for hardware accelerated OpenGL and Vulkan rendering
      on Xwayland. See the chapter "OpenGL and Vulkan on Xwayland" in the
      README for details.
    - Fixed a bug that could cause intermittent corruption in Wolfenstein:
      Youngblood when using NVIDIA Kepler, Maxwell, Pascal, and Volta GPUs.
    - Fixed a bug that could cause games running with DXVK to crash with
      Xid 31 (MMU Fault) errors when using NVIDIA Pascal GPUs.
    - Added support for the VK_EXT_extended_dynamic_state2 extension.
    - Added support for the VK_EXT_color_write_enable extension.
    - Added support for the VK_EXT_vertex_input_dynamic_state extension.
    - Added support for the VK_EXT_ycbcr_2plane_444_formats extension.
    - Added support for the VK_NV_inherited_viewport_scissor extension.
    - NvFBC's "direct capture" mode no longer causes flipping to be
      disabled for applications being captured. G-SYNC can now also be
      used simultaneously with NvFBC direct capture.
    - Deprecated NvIFROpenGL support.  Release 470 will be the last to
      support this functionality.  NvIFROpenGL header files, samples
      and documentation were removed from the NVIDIA Capture SDK 7.1.9
      release.  Future drivers will remove libnvidia-ifr.so and any
      other reference to NvIFROpenGL.
      For details please see:
        https://developer.nvidia.com/nvidia-video-codec-sdk
    - Fixed a bug that prevented Vulkan direct-to-display from working when
      DRM KMS is enabled.
    - Enabled the NVIDIA driver, by default, to attempt to initialize SLI when
      using GPUs with different amounts of video memory.  Previously, this was
      only available when bit 1 was set in the "Coolbits" X config option.
    - Updated GPU fan control to be available by default in
      nvidia-settings and NV-CONTROL, for GPU boards that support
      programmable fan control.  Previously, this was only available
      when bit 2 was set in the "Coolbits" X config option.
    - Fixed an issue where vkCreate{Graphics,Compute}Pipeline would sometimes
      crash when the shaders contained resources with no set/binding.
    - Fixed a memory fault in the Vulkan driver when using some smaller
      dimensions of sparse images.
    - Fixed an issue with vkCmdSetViewport when firstViewport is non-zero.
    - Fixed handling of VK_DESCRIPTOR_BINDING_VARIABLE_DESCRIPTOR_COUNT_BIT
      for variable size descriptor bindings.
    * Fixed crash with certain DisplayPort devices.  (Closes: #989069)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * libnvidia-nvvm4: New package for the NVVM Compiler library.
  * Drop manually added Depends: libcuda1 from libraries not referencing it.
  * nvidia-driver-libs: Add Recommends: libnvidia-encode1.  (Closes: #989885)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jun 2021 21:07:47 +0200

nvidia-graphics-drivers (465.31-1) experimental; urgency=medium

  * New upstream new feature branch release 465.31 (2021-05-18).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 May 2021 21:33:47 +0200

nvidia-graphics-drivers (465.27-1) experimental; urgency=medium

  * New upstream new feature branch release 465.27 (2021-04-29).

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-11.3-1{,-i386}.
  * Build the nvidia-peermem kernel module.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 May 2021 20:37:18 +0200

nvidia-graphics-drivers (465.24.02-1) experimental; urgency=medium

  * New upstream new feature branch release 465.24.02 (2021-04-14).
    * Fixed CVE-2021-1076, CVE-2021-1077.  (Closes: #987216)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172
  * New upstream beta 465.19.01 (2021-03-30).
    - Added gsp.bin firmware file which is used to offload the GPU
      initialization and management tasks on some GPUs. See the "GSP Firmware"
      chapter in the README for more information.
    - Improved X11 DrawText() performance when rendering stippled text.
    - Fixed a bug that could prevent some hardware configurations with large
      numbers of displays connected to the same GPU from working correctly.
    - Fixed a bug that could cause multi-threaded GLX applications to hang
      while attempting to handle an XError.
    - Fixed a potential crash in the Vulkan driver when clearing images with
      multiple layers.
    - Fixed a bug with the host-visible device-local memory heap, where if an
      allocation failed due to space constraints, it could cause the
      application to crash on future Vulkan function calls.
    - Fixed corruption in the Vulkan driver that sometimes occurred with
      shadow rendering with image arrays.
    - Added support for the VK_KHR_synchronization2 extension.
    - Added support for the VK_KHR_workgroup_memory_explicit_layout extension.
    - Added support for the VK_KHR_zero_initialize_workgroup_memory extension.
    - Added support for linear images for use with host-visible video memory
      in Vulkan.
    - Fixed an issue with OpenGL where imported Vulkan buffers would fail with
      GL_OUT_OF_MEMORY when marked as resident.
    - Fixed a bug that caused the NVIDIA driver to retain an incorrect
      memory mapping of the UEFI system console when booting with the
      kernel parameter pci=realloc. This could cause the console to corrupt
      memory in use by the NVIDIA driver, and vice versa.
    - Runtime D3 Power Management is now enabled by default on supported
      notebook systems with Ampere or newer GPUs. See the chapter titled
      "PCI-Express Runtime D3 (RTD3) Power Management" in the README for
      further details.
    - Updated the NVIDIA X driver to allow OpenGL applications running on an X
      server that has left the active virtual terminal (VT) to continue
      running on the GPU, but with a limited frame rate.
      This functionality is only enabled when the
      NVreg_PreserveVideoMemoryAllocations=1 nvidia module parameter is
      enabled.
    - Fix a Vulkan clamping bug where fragment depth values would not be
      clamped to the range [0,1] if VK_EXT_depth_range_unrestricted was not
      enabled.
    - Fix a bug related to SPIR-V 1.4 non-Input/Output entry point variables.
    - Fixed a bug in compilation of SPIR-V intersection shaders when modules
      with multiple entry points are used.

  [ Andreas Beckmann ]
  * Update symbols files.
  * Ship the gsp.bin firmware blob on amd64.
  * Some power management features were not yet in Linux 2.6.32.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Apr 2021 18:48:53 +0200

nvidia-graphics-drivers (460.106.00-12) UNRELEASED; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 18:50:07 +0200

nvidia-graphics-drivers (460.106.00-11) UNRELEASED; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 12:59:21 +0200

nvidia-graphics-drivers (460.106.00-10) UNRELEASED; urgency=medium

  * Backport acpi_op_remove changes from 470.182.03 to fix kernel module build
    for Linux 6.2.
  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Apr 2023 10:01:24 +0200

nvidia-graphics-drivers (460.106.00-9) UNRELEASED; urgency=medium

  * Backport find_vma_intersection changes from 470.141.03 to fix kernel
    module build for Linux 6.1.
  * Backport acpi changes from 470.161.03, replacing earlier backports.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Dec 2022 04:34:59 +0100

nvidia-graphics-drivers (460.106.00-8) UNRELEASED; urgency=medium

  * Backport get_task_ioprio changes from 510.85.02, acpi changes from
    510.85.02 and 515.65.01, drm_frambuffer.h changes from 515.76 to fix
    kernel module build for Linux 6.0.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Oct 2022 12:19:58 +0200

nvidia-graphics-drivers (460.106.00-7) UNRELEASED; urgency=medium

  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Backport nv_install_notifier and dma_resv_add_fence changes from
    470.141.03 to fix kernel module build for Linux 5.19.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Aug 2022 05:22:22 +0200

nvidia-graphics-drivers (460.106.00-6) UNRELEASED; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask, acpi_bus_get_device,
    cc_mkdec and drm_mode_config_has_allow_fb_modifiers changes from
    470.129.06 to fix kernel module build for Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 15:51:57 +0200

nvidia-graphics-drivers (460.106.00-5) UNRELEASED; urgency=medium

  * Backport linker scripts changes from 510.60.02.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 May 2022 16:46:36 +0200

nvidia-graphics-drivers (460.106.00-4) UNRELEASED; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Apr 2022 17:54:31 +0200

nvidia-graphics-drivers (460.106.00-3) UNRELEASED; urgency=medium

  * The Tesla 460 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Mar 2022 15:24:04 +0100

nvidia-graphics-drivers (460.106.00-2) UNRELEASED; urgency=medium

  * Backport stdarg.h and stddef.h changes from 495.44 to fix kernel module
    build for Linux 5.16.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Mar 2022 21:31:18 +0100

nvidia-graphics-drivers (460.106.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 460.106.00 (2021-10-26).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Nov 2021 14:43:35 +0100

nvidia-graphics-drivers (460.91.03-2) UNRELEASED; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Sep 2021 23:20:01 +0200

nvidia-graphics-drivers (460.91.03-1) unstable; urgency=medium

  * New upstream production branch release 460.91.03 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.  (Closes: #991351)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211
    - Added support for the following GPUs: GeForce RTX 3070 Ti, CMP 50HX.
    * Fixed crash with certain DisplayPort devices.  (Closes: #989069)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Drop manually added Depends: libcuda1 from libraries not referencing it.
  * nvidia-driver-libs: Add Recommends: libnvidia-encode1.  (Closes: #989885)
  * debian/gen-control.pl: Support substitutions in the Vcs-Git field.
  * Compute and substitute the Git branch instead of hardcoding it.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Jul 2021 01:25:40 +0200

nvidia-graphics-drivers (460.84-1) unstable; urgency=medium

  * New upstream production branch release 460.84 (2021-06-03).
    - Added support for the following GPU: GeForce RTX 3080 Ti.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Jun 2021 03:30:17 +0200

nvidia-graphics-drivers (460.80-1) unstable; urgency=medium

  * New upstream production branch release 460.80 (2021-05-11).
    - Fixed a bug that could cause AddressSanitizer to report a
      heap-buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
    - Added support for the following GPUs: GeForce RTX 3050 Ti Laptop GPU,
      GeForce RTX 3050 Laptop GPU, T600 Laptop GPU, T1200 Laptop GPU,
      RTX A5000 Laptop GPU, RTX A4000 Laptop GPU, RTX A3000 Laptop GPU,
      RTX A2000 Laptop GPU.
    - Fixed a bug that could prevent a system from resuming from suspend
      when DisplayPort activity occurred while the system was suspended.
    - Fixed a regression that prevented eglQueryDevicesEXT from correctly
      enumerating GPUs on systems with multiple GPUs where access to the
      GPU device files was restricted for some GPUs.
    - Fixed a regression that could cause system hangs when changing display
      resolution on SLI Mosaic configurations.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Refresh kmods patches to remove fuzz.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 May 2021 22:21:31 +0200

nvidia-graphics-drivers (460.73.01-1) unstable; urgency=medium

  * New upstream production branch release 460.73.01 (2021-04-14).
    * Fixed CVE-2021-1076, CVE-2021-1077.  (Closes: #987216)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172
    - Added support for the following GPUs: A10, A10G, A30, PG506-232,
      RTX A4000, RTX A5000, T400, T600.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Restrict watch file to releases from the 460.xx production branch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Apr 2021 08:59:01 +0200

nvidia-graphics-drivers (460.67-1) unstable; urgency=medium

  * New upstream production branch release 460.67 (2021-03-18).
    - Fixed a bug where using ray tracing extensions on multi-GPU setups could
      result in application instability if the GPUs did not match.
    - Fixed an issue that prevented G-SYNC from working properly after a mode
      switch on Kepler-based GPUs.

  [ Luca Boccassi ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Mar 2021 20:51:46 +0100

nvidia-graphics-drivers (460.56-2) unstable; urgency=medium

  * nvidia-alternative: Add libnvidia-ml.so slave alternative if
    libnvidia-ml-dev is installed.  (Closes: #984881)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Mar 2021 21:03:59 +0100

nvidia-graphics-drivers (460.56-1) unstable; urgency=medium

  * New upstream production branch release 460.56 (2021-02-25).
    - Added support for the following GPUs: GeForce RTX 3060, CMP 40HX,
      CMP 30HX.
    - Fixed a bug with indexed ray payloads in Vulkan.

  [ Luca Boccassi ]
  * Update nv-readme.ids.

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Simplify dh_dkms usage.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Feb 2021 00:26:36 +0100

nvidia-graphics-drivers (460.39-1) unstable; urgency=medium

  * New upstream production branch release 460.39 (2021-01-26).
    - Updated the NVIDIA driver to restore functionality of some features,
      including runtime power management, hotplugging audio-capable display
      devices, and S0ix-based system suspend, with recent kernels such as
      Linux 5.10.  (Closes: #981187)
    - Fixed a bug that caused bindless texture samplers to be incorrectly
      counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL) display,
      while the display is powered off.
    - Added support for the following GPUs: GeForce RTX 3080 Laptop GPU,
      GeForce RTX 3070 Laptop GPU, GeForce RTX 3060 Laptop GPU,
      GeForce GT 1010.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jan 2021 01:33:29 +0100

nvidia-graphics-drivers (460.32.03-2) unstable; urgency=medium

  * nvidia-detect: Add support for Tesla 460 drivers.
  * nvidia-detect: Drop support for jessie(-lts) (EoL).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Jan 2021 02:21:27 +0100

nvidia-graphics-drivers (460.32.03-1) unstable; urgency=medium

  * New upstream production branch release 460.32.03 (2021-01-07).
    * Fixed CVE-2021-1052, CVE-2021-1053, CVE-2021-1056.  (Closes: #979670)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    - Added a new "NoInterlacedModes" token to the NVIDIA X driver's
      "ModeValidation" option, to allow preventing interlaced modes from
      being validated. Refer to the "X Config Options" appendix of the
      driver README for further details.
    - Added support for the following GPU: A40.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jan 2021 00:23:35 +0100

nvidia-graphics-drivers (460.27.04-1) experimental; urgency=medium

  * New upstream beta 460.27.04 (2020-12-15).
    - Fixed a bug that could cause detailed timing information for displays
      with a large number of detailed timings to be truncated in the X log.
    - Fixed a bug that prevented scaled display resolutions configured via
      the nvidia-settings control panel from being reported by RandR.
    - Added support for the following GPUs: GeForce RTX 3060 Ti, RTX A6000.
    - Added support for RandR rotation and reflection while using an
      NVIDIA-driven display as a PRIME Display Offload sink.
    - Added support for "Reverse PRIME Bypass", an optimization that bypasses
      the bandwidth overhead of PRIME Render Offload and PRIME Display Offload
      in conditions where a render offload application is fullscreen,
      unredirected, and visible only on a given NVIDIA-driven PRIME Display
      Offload output. Use of the optimization is reported in the X log when
      verbose logging is enabled in the X server.
    - Add support for the VK_KHR_acceleration_structure extension.
    - Add support for the VK_KHR_ray_tracing_pipeline extension.
    - Add support for the VK_KHR_ray_query extension.
    - Add support for the VK_KHR_pipeline_library extension.
    - Add support for the VK_KHR_deferred_host_operations extension.
    - Removed the MetaMode string truncation warning for older X Servers when
      saving the X Configuration file from nvidia-settings.
    - Add support for the VK_NV_fragment_shading_rate_enums extension.
    - Fixed a bug where copying from an X11 pixmap to an RGB overlay window
      would exhibit corruption.
    - Fixed an issue with VK_ACCESS_MEMORY_READ_BIT and
      VK_ACCESS_MEMORY_WRITE_BIT when used as part of a render pass.
    - Add support for the VK_KHR_fragment_shading_rate extension.
    - Add support for the VK_KHR_shader_terminate_invocation extension.
    - Reduce host memory consumption for descriptor memory in cases where the
      pNext chain contains a structure of type
      VK_STRUCTURE_TYPE_DESCRIPTOR_SET_VARIABLE_DESCRIPTOR_COUNT_ALLOCATE_INFO.
    - Increased the default size for new OpenGL/Vulkan Shader Disk Cache
      location to 1024MB. Note that caches with paths containing "/.nv/ will
      continue to use the previous default of 128MB unless the size is
      manually overridden. For more information see the "OpenGL Shader Disk
      Cache" section in the "Specifying OpenGL Environment Variable Settings"
      chapter of the README.
    - Changed the default location for new OpenGL/Vulkan Shader Disk Caches.
      If the location is not manually overridden and a cache is detected in
      the previous default location, that location will be used instead of the
      new default location. For more information see the "OpenGL Shader Disk
      Cache" section in the "Specifying OpenGL Environment Variable Settings"
      chapter of the README.
    - Add support for the VK_EXT_shader_image_atomic_int64 extension.
    - Add support for the VK_KHR_copy_commands2 extension.
    - Allow importing cached memory via VK_EXT_external_memory_host.
    - Default AllowEmptyInitialConfiguration to True such that the NVIDIA X
      driver succeeds when launching the X server even if there are no display
      devices connected.
    - RRGetCrtcInfo will now return Rotate_0 instead of 0 as the active
      rotation for disabled CRTCs.
    - Improved the NVIDIA VDPAU implementation of
      VdpVideoSurfaceGetBitsYCbCr and VdpVideoSurfacePutBitsYCbCr when
      using planar or semi-planar formats.  This helps applications that
      transfer data between VDPAU video surfaces and system memory.
    - Added initial experimental support for S0ix-based system suspend
      (suspend-to-idle). This feature is platform and GPU dependent,
      so the feature will be disabled by default. To enable this feature,
      refer to the 'powermanagement' section of the README.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * nvidia-libopencl1 now supports up to OpenCL 3.0.
  * libcuda1: Add Provides: libcuda-11.2-1{,-i386}.
  * Update lintian overrides.
  * Upload to experimental.

  [ Luca Boccassi ]
  * Update location and license (zlib/libpng) of supported-gpus.json.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jan 2021 02:22:29 +0100

nvidia-graphics-drivers (455.45.01-2) unstable; urgency=medium

  * Restrict watch file to releases from the 455.xx short lived branch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 05 Jan 2021 16:27:49 +0100

nvidia-graphics-drivers (455.45.01-1) experimental; urgency=medium

  * New upstream short lived branch release 455.45.01 (2020-11-17).
    - Fixed an issue where Vulkan applications would fail to initialize if the
      connected X11 Server did not expose support for GLX.
    - Fixed a bug in a Vulkan blending optimization that could produce
      incorrect results. Some of the Vulkan titles affected by this bug were:
      Life is Strange 2, Shadow of the Tomb Raider.
    - Fixed an issue that caused Vulkan swapchain creation to fail for
      full-screen windows when a G-SYNC monitor is connected.
    * Supposedly fixes nvidia-uvm usability with Linux 5.9.  (Closes: #973729)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Nov 2020 22:12:34 +0100

nvidia-graphics-drivers (455.38-1) experimental; urgency=medium

  * New upstream short lived branch release 455.38 (2020-10-29).
    - Added support for the following GPU: GeForce RTX 3070.
    - Added support for using an NVIDIA-driven display as a PRIME Display
      Offload sink with a PRIME Display Offload source driven by the
      xf86-video-intel driver.
    - Fixed a bug in a Vulkan barrier optimization that allowed some
      back-to-back copies to run unordered.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Nov 2020 08:34:40 +0100

nvidia-graphics-drivers (455.28-1) experimental; urgency=medium

  * New upstream short lived branch release 455.28 (2020-10-07).
    - Fixed a bug that caused X to crash when the NVIDIA RandR provider was
      disabled while using an NVIDIA-driven display as a PRIME Display Offload
      sink.  (Closes: #972860)

  [ Luca Boccassi ]
  * Update nv-readme.ids.

  [ Andreas Beckmann ]
  * libcuda1: Add Provides: libcuda-11.1-1{,-i386}.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Nov 2020 13:57:40 +0100

nvidia-graphics-drivers (455.23.04-1) experimental; urgency=medium

  * New upstream beta 455.23.04 (2020-09-17).
    - Added support for the following GPUs: GeForce RTX 3080,
      GeForce RTX 3090.
    - Fixed a bug that prevented 8K displays from being used in portrait
      orientation on Pascal and earlier GPUs.
    - Fixed a bug which caused excessive CPU usage in Vulkan applications
      which create a large number of VkFence objects. This was particularly
      prevalent in the Steam Play title Red Dead Redemption 2.
    - Added support for a new device-local VkMemoryType which is host-coherent
      and host-visible. This may result in improved performance in some
      applications. Applications which are known to benefit from this new
      VkMemoryType include: DXVK Title DiRT Rally 2.0, Steam Play Title
      DOOM: Eternal, and DXVK title World of Warcraft.
    - Fixed a bug that caused WebKit-based applications to crash when
      running on Wayland.
    - Fixed a bug that led to display corruption at some resolutions when
      using an NVIDIA-driven display as a PRIME Display Offload sink.
    - Fixed a bug in a SPIR-V optimization that may cause conditional blocks
      to not execute.
    - Fixed a bug where calls to vkGetRandROutputDisplayEXT with unexpected
      inputs would generate X11 protocol errors.
      (https://bugs.winehq.org/show_bug.cgi?id=49407)
    - Fixed a small memory leak during exit of the NVIDIA EGL driver.
    - Implemented support for the NVIDIA NGX Updater. See the "NGX" chapter in
      the README for information on how to configure this feature.
    - Removed support for the SLI modes "SFR", "AFR", and "AA".  SLI Mosaic,
      Base Mosaic, GL_NV_gpu_multicast, and GLX_NV_multigpu_context are still
      supported.
    - Updated Base Mosaic support on GeForce to allow a maximum of
      five simultaneous displays, rather than three.
    - Fixed several synchronization bugs that could momentarily lock
      up the X server when moving/resizing/focusing OpenGL and Vulkan
      windows when PRIME Sync was enabled.
    - Added NVIDIA VDPAU driver support for decoding VP9 10- and 12-bit
      bitstreams.
      Note that VDPAU's presentation pipeline and OpenGL-VDPAU interop
      does not support 10- and 12-bit video surfaces yet. See the "VDPAU
      Support" appendix in the README for supported decoder profiles.
    - Fixed a bug that could cause dual-link DVI to be driven over a
      connector that only supports single-link DVI, when "NoMaxPClkCheck" is
      specified in the "ModeValidation" X configuration option.  Note this fix
      may cause behavioral changes for configurations using this option.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Update lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 24 Sep 2020 21:52:54 +0200

nvidia-graphics-drivers (450.236.01-3) UNRELEASED; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 18:29:09 +0200

nvidia-graphics-drivers (450.236.01-2) UNRELEASED; urgency=medium

  * Backport vm_area_struct_has_const_vm_flags changes from 525.105.17 to fix
    kernel module build for Linux 6.3.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 10:54:54 +0200

nvidia-graphics-drivers (450.236.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.236.01 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0185,
      CVE-2023-0198, CVE-2023-0199, CVE-2023-0188, CVE-2023-0190,
      CVE-2023-0194, CVE-2023-0195, CVE-2023-0191.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Backport acpi_op_remove changes from 470.182.03 to fix kernel module build
    for Linux 6.2.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Apr 2023 09:17:36 +0200

nvidia-graphics-drivers (450.216.04-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.216.04 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-42254,
      CVE-2022-42256, CVE-2022-42257, CVE-2022-42258, CVE-2022-42259,
      CVE-2022-42260, CVE-2022-42261, CVE-2022-42262, CVE-2022-42263,
      CVE-2022-42264.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Improved performance on GPUs which are experiencing a high number
      of correctable ECC memory errors.
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla release (amd64 only) 450.203.08 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 06 Dec 2022 02:54:57 +0100

nvidia-graphics-drivers (450.203.03-2) UNRELEASED; urgency=medium

  * Backport acpi changes from 510.85.02 and 515.65.01, drm_frambuffer.h
    changes from 515.76 to fix kernel module build for Linux 6.0.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Oct 2022 01:56:00 +0200

nvidia-graphics-drivers (450.203.03-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.203.03 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Aug 2022 00:14:36 +0200

nvidia-graphics-drivers (450.191.01-2) UNRELEASED; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask, acpi_bus_get_device
    and cc_mkdec changes from 470.129.06 to fix kernel module build for
    Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 10:28:25 +0200

nvidia-graphics-drivers (450.191.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.191.01 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28185, CVE-2022-28192.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 May 2022 18:48:35 +0200

nvidia-graphics-drivers (450.172.01-3) UNRELEASED; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.  (Closes: #976901)
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Apr 2022 22:28:22 +0200

nvidia-graphics-drivers (450.172.01-2) UNRELEASED; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Feb 2022 21:03:12 +0100

nvidia-graphics-drivers (450.172.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.172.01 (2022-01-31).
    * Fixed CVE-2022-21813, CVE-2022-21814.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5312
    - Fixed a bug that caused nvidia-drm.ko to crash when loading with
      DRM-KMS enabled (modeset=1) on Linux v5.14.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Feb 2022 01:35:04 +0100

nvidia-graphics-drivers (450.156.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.156.00 (2021-10-26).
    - Fixed a bug that could cause the /proc/driver/nvidia/suspend power
      management interface to fail to preserve and restore video memory
      allocations when the NVreg_TemporaryFilePath module parameter for
      nvidia.ko specified an invalid path.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 12:11:07 +0100

nvidia-graphics-drivers (450.142.00-2) UNRELEASED; urgency=medium

  * Backport drm_device_has_pdev and set_current_state changes from 470.63.01
    to fix kernel module build for Linux 5.14.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Sep 2021 12:19:13 +0200

nvidia-graphics-drivers (450.142.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.142.00 (2021-07-20).
    * Fixed CVE-2021-1093, CVE-2021-1094, CVE-2021-1095.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5211
    - Fixed a bug that could result in blank displays when driving multiple
      displays at the same resolution using active DisplayPort dongles.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Jul 2021 22:54:44 +0200

nvidia-graphics-drivers (450.119.04-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.119.04 (2021-05-04).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 May 2021 13:53:07 +0200

nvidia-graphics-drivers (450.119.03-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.119.03 (2021-04-19).
    * Fixed CVE-2021-1076, CVE-2021-1077.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172
    - Fixed a driver installation failure on Linux kernel 5.11 release
      candidates, where the NVIDIA kernel module failed to build with error
      "error: implicit declaration of function 'sys_close'".
    - Fixed a bug where calls to vkCreateDevice could fail on Ampere GPUs when
      ray tracing extensions were enabled and the application was running
      within the Steam Linux Runtime.
    - Fixed a regression that could cause display corruption when using
      a scaled resolution after resuming from power management suspend.
    - Fixed a bug that could intermittently cause NvFBC applications to fail
      with the error message "Unable to send exported fds".

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 Apr 2021 21:13:14 +0200

nvidia-graphics-drivers (450.102.04-1) UNRELEASED; urgency=medium

  * New upstream long lived branch release 450.102.04 (2021-01-07).
    * Fixed CVE-2021-1052, CVE-2021-1053, CVE-2021-1056.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    - Fixed the X driver's composition pipeline (used, e.g., for X desktop
      rotation, "ForceCompositionPipeline", and some OpenGL Swap Group
      configurations) to correctly preserve color precision in depth 30.
    - Fixed a bug that could cause X clients to crash when closing display
      connections to the X server.
    - Fixed a bug that could cause the X server to configure DisplayPort
      Multi-Stream Transport displays in an inconsistent order.
    - Added support for the following GPUs: T500, A100-SXM4-80GB.
    - Improved the memory allocation strategy in nvidia-modeset.ko to reduce
      the likelihood of out-of-memory errors, which typically manifest as
      "page allocation failure" messages in the kernel log.  (Closes: #979573)
    - Fixed a performance regression in the NVIDIA X driver which affected
      some X11 RENDER extension use cases.
    - Added AMD Secure Memory Encryption compatibility.
    - Fixed a bug where glGetGraphicsResetStatusARB would incorrectly
      return GL_PURGED_CONTEXT_RESET_NV immediately after application
      start-up if the system had previously been suspended.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Jan 2021 18:21:19 +0100

nvidia-graphics-drivers (450.80.02-2) unstable; urgency=medium

  * libcuda1: Add Provides: libcuda-11.1-1{,-i386}.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 14:57:31 +0100

nvidia-graphics-drivers (450.80.02-1) unstable; urgency=medium

  * New upstream long lived branch release 450.80.02 (2020-09-30).
    - Added support for the following GPUs: A100-PCIE-40GB,
      A100 Graphics Device, DGX Display, GeForce MX450.
    * Improved compatibility with recent Linux kernels.
      (Closes: #972514, #972582, #972834, #972856, #972901, #973362, #973665)

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Restrict watch file to releases from the 450.xx long lived branch.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Oct 2020 01:05:29 +0100

nvidia-graphics-drivers (450.66-1) unstable; urgency=medium

  * New upstream long lived branch release 450.66 (2020-08-18).
    - Added support for the following GPUs: EIZO Quadro MED-XN31LP,
      EIZO Quadro MED-XN50LP, EIZO Quadro MED-XN51LP, EIZO Quadro MED-XN70,
      EIZO Quadro MED-XN71, EIZO Quadro MED-XN72, EIZO Quadro MED-XN90,
      EIZO Quadro MED-XN91, EIZO Quadro MED-XN92, Matrox D-Series D1450,
      Matrox D-Series D1480
    - Fixed triple buffering support of Vulkan X11 swapchains when
      applications are syncing to vblank.

  [ Luca Boccassi ]
  * Update nv-readme.ids.
  * Update symbols files.

  [ Andreas Beckmann ]
  * Test that the patches can be applied to the module source.
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules.
  * Simplify generating the -source and -dkms packages.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:29:22 +0200

nvidia-graphics-drivers (450.57-3) unstable; urgency=medium

  * There is no libnvidia-compiler on arm64.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Aug 2020 14:53:30 +0200

nvidia-graphics-drivers (450.57-2) unstable; urgency=medium

  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages.
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Aug 2020 23:55:49 +0200

nvidia-graphics-drivers (450.57-1) experimental; urgency=medium

  * New upstream long lived branch release 450.57 (2020-07-09).
    - Fixed a bug that caused a brief orange flash on some platforms when a
      display mode is being set.
  * New upstream release 440 series.
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
    - Fixed an interaction problem with 5.4 and newer Linux kernels that
      caused a performance regression when allocating system memory.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jul 2020 16:33:11 +0200

nvidia-graphics-drivers (450.51.06-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:39:37 +0200

nvidia-graphics-drivers (450.51.06-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.51.06 (2020-07-28).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Aug 2020 23:20:53 +0200

nvidia-graphics-drivers (450.51.05-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.51.05 (2020-07-07).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 17:50:32 +0200

nvidia-graphics-drivers (450.51-2) experimental; urgency=medium

  * Prepare infrastructure for packaging Tesla 450 driver releases (available
    for amd64 (including some i386 libs), arm64 and ppc64el).
  * nvidia-detect: Add support for Tesla 450 drivers.
  * Merge changes from 440.100-2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 16:34:04 +0200

nvidia-graphics-drivers (450.51-1) experimental; urgency=medium

  * New upstream beta 450.51 (2020-06-24).
    - Added support for Vulkan direct-to-display on DisplayPort displays which
      are connected via DisplayPort Multi-Stream Transport (DP-MST).
    - Added a new documentation file, supported-gpus.json, which exposes a
      machine-readable list of supported GPUs and features.
    - Added an implementation of glNamedBufferPageCommitmentARB, which was
      missing from the NVIDIA driver's support for the GL_ARB_sparse_buffer
      extension.
    - Fixed a bug that could cause a KDE Plasma session to crash when running
      under Wayland.
    - Fixed a bug that could cause some Swap Group configurations to present
      at half of the display refresh rate.
    - Fixed a bug that prevented X11 EGL displays from being reinitialized.
    - The 450 driver series is the last that supports NvFBC's
      NVFBC_CAPTURE_TO_HW_ENCODER capture interface, which has been deprecated
      since NVIDIA Capture SDK 6.0 released in 2017. Future NVIDIA drivers
      after the 450 series will return NVFBC_ERR_UNSUPPORTED if that capture
      interface is requested.
      The recommended way to encode captured frames with NVENC is by using the
      NVIDIA Video Codec SDK.
      See: https://developer.nvidia.com/nvidia-video-codec-sdk
    - Implemented support for NVIDIA NGX. A new library, libnvidia-ngx.so, has
      been added to support the new functionality. This new library is needed
      by applications which link against any of the following SDKs:
      NVIDIA DLSS SDK, NVIDIA NGX SDK.
    - Fixed a bug which caused Vulkan applications to leak file descriptors
      when destroying Vulkan instances.
    - Added a fallback presentation path for PRIME Render Offload
      configurations where the DRI3 and/or Present extension are unavailable.
    - Fixed a bug where vkCreateSampler would fail with no borderColor data,
      even though it wasn't needed.
    - Fixed a bug where vkUpdateDescriptorSetWithTemplate would ignore the
      stride parameter for some VkDescriptorType values.
    - Fixed a bug causing the Plasma desktop panel to freeze when
      compositing is disabled (https://bugs.kde.org/show_bug.cgi?id=353983)
    - Added support for the following GPUs: A100-PCIE-40GB, A100-PG509-200,
      A100-SXM4-40GB.
    - Improved Vulkan device enumeration under an X.Org X server environment.
      See the "Known Issues" in the README for more information.
    - Fixed a visual glitch of Vulkan applications when they stop flipping
      due to a window change, such as when alt-tab is used to change
      window focus.
    - Fixed a bug where XGetImage requests would return stale data for
      flipping Vulkan applications. In particular, this fixes screen-scraping
      tools such as VNC and import.
    - Removed libnvidia-fatbinaryloader.so from the driver package.  This
      functionality is now built into other driver libraries.
    - Extended the dynamic runtime power management support in the NVIDIA
      driver to shut off power to video memory under certain conditions.
      See the chapter titled "PCI-Express Runtime D3 (RTD3) Power Management"
      in the README for more information.
    - Added HEVC 10/12 bit "decode only" support to the NVIDIA VDPAU driver.
      Note that VDPAU's presentation pipeline and OpenGL-VDPAU interop
      does not support 10- and 12-bit video surfaces yet. See the "VDPAU
      Support" appendix in the README for supported HEVC decoder profiles.
    - Added support for Image Sharpening for OpenGL and Vulkan applications
    - Added new VdpYCbCrFormats VDP_YCBCR_FORMAT_Y_U_V_444_16,
      VDP_YCBCR_FORMAT_P010 and VDP_YCBCR_FORMAT_P016 for accessing 16-bit
      surfaces via VdpVideoSurfaceGetBitsYCbCr() and
      VdpVideoSurfacePutBitsYCbCr() in the NVIDIA VDPAU driver.
    - Added support to create 16-bit video surfaces in the NVIDIA VDPAU
      driver.
    - Modified nvidia-persistenced and libnvidia-ml (NVML) to use libtirpc for
      communication instead of relying on the deprecated glibc RPC
      implementation.
    - Enabled GPU screens by default on X.Org xserver version 1.20.7 and
      higher.
    - Fixed a bug where rendering in a separate user namespace (unshare -U)
      would show black window and produce Xid 13 errors.
  * New upstream release 445 series.
    - Removed support for "IgnoreDisplayDevices" X configuration option.
    - Added support for PRIME Synchronization when using displays driven by
      the xf86-video-amdgpu driver as PRIME display offload sinks.
    - Added support for displays connected to NVIDIA GPUs to act as PRIME
      display offload sinks, also known as "Reverse PRIME". See the chapter
      titled "Offloading Graphics Display with RandR 1.4" in the README for
      additional information.
  * New upstream release 440 series.
    - Fixed a bug where a Vulkan application under PRIME render
      offload would not always be correctly throttled to vsync despite
      the application's request for VK_PRESENT_MODE_FIFO_KHR. This was
      particularly prevalent on DXVK titles.

  [ Andreas Beckmann ]
  * Add support for arm64 driver releases.
  * Update nv-readme.ids.
  * Refresh patches.
  * Update symbols files.
  * Remove libnvidia-fatbinaryloader package.
  * libnvidia-ngx1: New package for the NVIDIA NGX runtime library.
  * libcuda1: Add Provides: libcuda-11.0-1{,-i386}.
  * Update lintian overrides.
  * Build the nvidia-*-common and nvidia-detect packages for arm64.
  * Bump glx-alternative-nvidia dependency for arm64 support.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2020 00:02:18 +0200

nvidia-graphics-drivers (440.118.02-2) UNRELEASED; urgency=medium

  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 13:35:38 +0100

nvidia-graphics-drivers (440.118.02-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.118.02 (2020-09-30).
    - Fixed a bug that could cause the X server to crash when using large
      cursor images with PRIME display offloading.
    - Fixed a bug where a Vulkan application under PRIME render
      offload would not always be correctly throttled to vsync despite
      the application's request for VK_PRESENT_MODE_FIFO_KHR. This was
      particularly prevalent on DXVK titles.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update glvnd symbols files.
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 21:46:41 +0100

nvidia-graphics-drivers (440.100-2) unstable; urgency=medium

  * Restrict watch file to releases from the 440.xx long lived branch.
  * Replace *-i386 helper packages with *:i386 recommendations.
  * [i386 armhf]: Remove transitional packages.
  * nvidia-detect.install: Use dh-exec for arch restrictions.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Jul 2020 13:30:24 +0200

nvidia-graphics-drivers (440.100-1) unstable; urgency=medium

  * New upstream long lived branch release 440.100 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Added a workaround for some Pascal based notebooks, where the GPU
      could fall off the bus when idle.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Jun 2020 09:52:45 +0200

nvidia-graphics-drivers (440.95.01-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:44:13 +0200

nvidia-graphics-drivers (440.95.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.95.01 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Added support for the following GPUs: GeForce GTX 1650 Ti,
      GeForce GTX 1650 Ti with Max-Q Design,
      GeForce RTX 2060 with Max-Q Design, Quadro T1000 with Max-Q Design.
    - Added new "Connector-N" display device aliases to the X driver's
      X configuration option parser.  This is useful in conjunction with
      the "ConnectedMonitor" X configuration option, for emulating the
      presence of connected monitors without knowing what specific
      connectors are available.  See the "Display Device Names" appendix
      in the README for details.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 23:14:48 +0200

nvidia-graphics-drivers (440.82-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to debhelper-compat (= 13).

  [ Jiri Palecek ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7.
    (Closes: #960735)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:22:58 +0200

nvidia-graphics-drivers (440.82-1) unstable; urgency=medium

  * New upstream long lived branch release 440.82 (2020-04-07).
    - Added a workaround for Steam Play title DOOM Eternal, which overrides
      application requested memory locations, to ensure performance-critical
      resources be placed in video memory.
    - Allow presenting from queue families which only expose
      VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib surfaces.
    - Fixed a bug that caused render-offloaded applications to crash on exit.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 11 Apr 2020 14:29:59 +0200

nvidia-graphics-drivers (440.64.00-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 440.64.00 (2020-03-10).

  [ Andreas Beckmann ]
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:33:14 +0100

nvidia-graphics-drivers (440.64-2) unstable; urgency=medium

  * Prepare infrastructure for packaging Tesla 440 driver releases (available
    for amd64 (including some i386 libs) and ppc64el).
  * nvidia-detect: Add support for Tesla 440 drivers.
  * Bump glx-alternative-nvidia dependency for ppc64el support.
  * Drop versioned constraints that are satisfied in stretch.
  * bug-control: Report information about more (virtual) packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 21:01:28 +0100

nvidia-graphics-drivers (440.64-1) unstable; urgency=medium

  * New upstream long lived branch release 440.64 (2020-02-28).
    - Added support for the following GPUs: GeForce MX330, GeForce MX350.
    - Fixed a regression that allowed displays to enter DPMS mode even
      when DPMS is disabled in the X server settings.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 01 Mar 2020 11:25:24 +0100

nvidia-graphics-drivers (440.59-1) unstable; urgency=medium

  * New upstream long lived branch release 440.59 (2020-02-03).
    - Disabled frame rate limiting for configurations without active
      displays when HardDPMS is enabled.
    - Restricted the maximum number of GPU Screens to one GPU Screen per
      GPU device, to prevent X from crashing when more than one GPU Screen
      is configured for a single GPU device.
    - Fixed a bug that could cause the X server to crash while exiting
      DPMS with HardDPMS enabled.
    - Added support for the following GPUs: Tesla PG500-216, Tesla PG504-216.
    - Added support for audio over DisplayPort Multi-Stream. This support
      requires Linux kernel version 5.5 or newer.
    - Updated the NVIDIA driver to allow NVIDIA High Definition Audio (HDA)
      controllers to respond to display hotplug events while the HDA is
      runtime-suspended.
    - Fixed a bug that caused DXVK titles to endlessly loop during shader
      compilation if no OpSource instruction was present.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2020 22:39:27 +0100

nvidia-graphics-drivers (440.44-2) unstable; urgency=medium

  * Merge changes from 435.21-3.
  * Rename "legacy" variables to more generic "variant".
  * Upload to unstable.  (Closes: #950128)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Jan 2020 21:03:10 +0100

nvidia-graphics-drivers (440.44-1) experimental; urgency=medium

  * New upstream long lived branch release 440.44 (2019-12-11).
    - Added support for the following GPU: GeForce GTX 1650 SUPER.
    - Added support for the __GL_SYNC_DISPLAY_DEVICE environment variable for
      Vulkan applications.
    - Fixed a bug that caused applications running directly on a display
      (such as VR HMDs) to tear when a G-SYNC or G-SYNC Compatible monitor
      is plugged in the system.
  * New upstream release 430 series.
    - Fixed a bug in an error handling path that could cause a kernel crash
      while loading nvidia.ko.

  [ Andreas Beckmann ]
  * Merge changes from 430.64-4.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Dec 2019 13:06:12 +0100

nvidia-graphics-drivers (440.36-1) experimental; urgency=medium

  * New upstream long lived branch release 440.36 (2019-11-22).
    - Fixed graphical corruption that can occur when using
      glslang SPIR-V Generator Version <= 2.
  * New upstream Tesla release 440.33.01 (2019-11-19).

  [ Andreas Beckmann ]
  * Update symbols files.
  * libcuda1: Add Provides: libcuda-10.2-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Nov 2019 15:27:45 +0100

nvidia-graphics-drivers (440.31-1) experimental; urgency=medium

  * New upstream long lived branch release 440.31 (2019-11-04).
    - Added support for the following GPUs: Tesla V100S-PCIE-32GB,
      GeForce GTX 1660 SUPER.
    - Fixed a regression in the 440.26 driver that could prevent the NVIDIA
      kernel modules from building correctly on systems localized to a
      language other than English.  (Closes: #944556)

  [ Andreas Beckmann ]
  * Merge changes from 430.64-1.
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Nov 2019 00:28:08 +0100

nvidia-graphics-drivers (440.26-1) experimental; urgency=medium

  * New upstream beta 440.26 (2019-10-17).
    - Enabled parallel GLSL shader linking by default; i.e., allow
      GL_ARB_parallel_shader_compile to work without first calling
      glMaxShaderCompilerThreadsARB().
    - Added support for HDMI 2.1 variable refresh rate (VRR) G-SYNC Compatible
      monitors on supported GPUs.  For more details, see "Configuring Multiple
      Display Devices on One X Screen" in the README.
    - Added support for the GLX_NV_multigpu_context and GL_NV_gpu_multicast
      extensions.  For more details, see the "Configuring SLI and Multi-GPU
      FrameRendering" chapter of the README, and the extension specifications:
        https://www.khronos.org/registry/OpenGL/extensions/NV/GLX_NV_multigpu_context.txt
        https://www.khronos.org/registry/OpenGL/extensions/NV/NV_gpu_multicast.txt
    - Fixed a bug that prevented Vulkan applications running on systems
      configured for SLI. Vulkan applications can now run while SLI is
      enabled; however, they will only be able to use a single GPU.
    - Simplified the nvidia-sleep.sh sample script to no longer depend on
      unreliable detection of the current VT through X server logs.
    - Added EGL support for PRIME render offload. Please see the PRIME Render
      Offload chapter in the README for configuration details.
    - Fixed a regression introduced in 435.19.02 that would cause some
      applications which use the VK_KHR_DISPLAY extension to result in a
      segmentation fault.
    - Enabled HardDPMS by default. See the README entry on the X configuration
      option "HardDPMS" for more information.
    - Fixed a bug which caused corruption in the following DXVK titles:
        Saints Row IV, Saints Row: The Third.
    - Added VP9 decode support to the NVIDIA VDPAU driver. See the
      VDPAU Support appendix in the README for supported VP9 decoder
      profiles.
    - Fixed a bug that could cause heapUsage values reported by
      VK_EXT_memory_budget to not immediately update after vkFreeMemory was
      called.
    - Changed GPU clock management strategy to more quickly ramp down clocks
      after a drop in GPU utilization.
    - Added X configuration option, "SidebandSocketPath", which
      controls the directory in which the X driver will create a
      pathname UNIX domain socket used to communicate with the NVIDIA
      OpenGL, Vulkan and VDPAU driver components.
    - The X driver will now create a fallback pathname UNIX domain
      socket in the directory specified by the "SidebandSocketPath"
      option, or /var/run by default, which will be used by other
      NVIDIA driver components if they are unable to connect to the
      default abstract socket.  This fixes a bug where graphics
      applications run within a network namespace (which prevents the
      use of abstract sockets) were unable to take advantage of some
      driver features, such as G-Sync.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Refresh patches.
  * Update lintian overrides.
  * libnvidia-allocator1: New package for the allocator runtime library.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Nov 2019 18:31:45 +0100

nvidia-graphics-drivers (435.21-3) unstable; urgency=low

  * Merge changes from 430.64-5.
  * Continue building libegl1-nvidia.
  * Insert '-' between suffix ending with digit and SOVERSION.
  * Bump Standards-Version to 4.5.0. No changes needed.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Jan 2020 16:14:18 +0100

nvidia-graphics-drivers (435.21-2) experimental; urgency=medium

  * Merge changes from 430.50-2.
  * Continue building nvidia-nonglvnd-vulkan-common.
  * Restrict watch file to releases from the 435.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 31 Oct 2019 15:07:11 +0100

nvidia-graphics-drivers (435.21-1) experimental; urgency=medium

  * New upstream short lived branch release 435.21 (2019-08-29).
    - Fixed a bug that caused the X server to crash when using HardDPMS with
      an NVIDIA-driven GPU Screen.
  * New upstream beta 435.17 (2019-08-13).
    - Fixed a bug which caused the kernel to panic when exiting a single X
      server when multiple X servers were active and in an SLI configuration.
    - Fixed a regression introduced in the 430.* series of releases that
      caused a segmentation fault in libnvcuvid.so while using Video Codec
      SDK APIs on certain graphics boards.
    - Added initial experimental support for runtime D3 (RTD3) power
      management on Turing notebook GPUs.
    - Improved nvidia-bug-report.sh to collect runtime D3 (RTD3) power
      management information.
    - Improved nvidia-bug-report.sh to collect ACPI tables when the acpidump
      tool is available.
    - Added Vulkan and OpenGL+GLX support for PRIME render offload.
      Please see the PRIME Render Offload chapter in the README for
      system requirements and configuration details.
    - Fixed the cuvidParseVideoData API in the NVCUVID driver to
      correctly propagate errors returned by the PFNVIDSEQUENCECALLBACK
      callback function to the application.
    - Fixed a bug that caused the NVIDIA X driver to behave incorrectly or
      crash when a client queried Xinerama information on X servers with a
      non-NVIDIA X screen as screen 0.
    - Fixed a bug that could cause Vulkan applications to generate spurious
      warning messages about a missing NV-GLX extension.
    - Removed the non-GLVND OpenGL libraries from the NVIDIA Linux driver
      installation package. The GLVND OpenGL libraries were introduced in
      release 361.16, and have been installed by default since release
      364.12, with the non-GLVND versions available as an alternative via
      the "--no-glvnd-glx-client" and "--no-glvnd-egl-client" installer
      options. As the non-GLVND libraries are no longer included in the
      installation package, these options will no longer have any effect.
    - Fixed a bug that prevented nvidia-drm from marking preferred modes
      properly when reporting display information via the DRM-KMS API.
    - Fixed the NvEncodeAPI driver to correctly reject the encoding of
      sequences with resolutions smaller than what the NVENC supports.

  [ Luca Boccassi ]
  * Remove non-GLVND packages.
  * nvidia-vulkan-common: Ship nvidia_layers.json.
  * Update symbols files.
  * Update lintian overrides.

  [ Andreas Beckmann ]
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 31 Aug 2019 00:15:24 +0200

nvidia-graphics-drivers (430.64-5) unstable; urgency=medium

  * Use substitution to keep Standards-Version in sync.
  * nvidia-detect: The 340xx legacy driver will not be in bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Jan 2020 23:11:01 +0100

nvidia-graphics-drivers (430.64-4) unstable; urgency=medium

  * Do not build most non-GLVND packages (435.17-1).  (Closes: #939401)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Dec 2019 22:39:11 +0100

nvidia-graphics-drivers (430.64-3) unstable; urgency=medium

  * Allow alternative libnvidia-{tesla,legacy}-*-cuda1 packages to substitute
    libcuda1 in third-party packages.
    - Add Provides: libcuda.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libcuda.so.1 through the
      symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Dec 2019 13:01:16 +0100

nvidia-graphics-drivers (430.64-2) unstable; urgency=medium

  * nvidia-detect: Add PCI ID list for 418.74 in buster.
  * nvidia-detect: Add support for Tesla 418 drivers.
  * nvidia-detect: Build for ppc64el.
  * Allow alternative libnvidia-{tesla,legacy}-*-ml1 packages to substitute
    libnvidia-ml1.
    - Add Provides: libnvidia-ml.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-ml.so.1 through
      the symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Dec 2019 13:20:04 +0100

nvidia-graphics-drivers (430.64-1) unstable; urgency=medium

  * New upstream long lived branch release 430.64 (2019-11-05).
    - Fixed a bug that could cause the X server to crash when running
      applications using GLX indirect rendering.
    - Fall back to system memory when video memory is full for some
      driver-internal allocations. This can help fix Xid 13 and
      Xid 31 cases in Vulkan applications when video memory is full.
    - Fixed a bug that could cause a blank screen on some DisplayPort
      monitors when logging in to GNOME, if the nvidia-drm kernel module
      parameter modeset=1 is specified.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Create and commit tarball symlinks for legacy branches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Nov 2019 01:43:24 +0100

nvidia-graphics-drivers (430.50-2) unstable; urgency=medium

  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field.
  * Build the nvidia-*-common packages for ppc64el.
  * Prepare infrastructure for packaging Tesla 418 driver releases (available
    for amd64 (including some i386 libs) and ppc64el).
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Oct 2019 21:04:31 +0100

nvidia-graphics-drivers (430.50-1) unstable; urgency=medium

  * New upstream long lived branch release 430.50 (2019-09-11).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * conftest-prefer-arch-headers.patch: New, prefer arch headers over common
    headers, thanks to Paul Szabo.  (Closes: #933309)
  * Restrict watch file to releases from the 430.xx long lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Sep 2019 14:00:06 +0200

nvidia-graphics-drivers (430.40-2) unstable; urgency=medium

  * Mark GPUs with Kepler notebook chips as legacy, supported only up to
    nvidia-legacy-390xx-driver. Support was dropped in the 430 series.
    https://nvidia.custhelp.com/app/answers/detail/a_id/4779
    https://nvidia.custhelp.com/app/answers/detail/a_id/4788
  * nvidia-detect: Fix bullseye detection.  (Closes: #934288)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Aug 2019 10:46:18 +0200

nvidia-graphics-drivers (430.40-1) experimental; urgency=medium

  * New upstream long lived branch release 430.40 (2019-07-29).
    - Added support for the following GPU: GeForce RTX 2080 SUPER.
    - Fixed a driver installation failure in Linux kernel configurations
      with CONFIG_HOTPLUG_CPU.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Aug 2019 12:50:26 +0200

nvidia-graphics-drivers (430.34-1) experimental; urgency=medium

  * New upstream long lived branch release 430.34 (2019-07-09).
    - Added support for the following GPUs: GeForce RTX 2060 SUPER,
      GeForce RTX 2070 SUPER.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2019 18:23:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgl1-nvidia-glvnd-glx`.
